commit 8f4b43c00feed11a6cedd4c40baa3cdcf687b3a1
Author: Alan Modra <amodra@gmail.com>
Date:   Wed Sep 23 20:15:39 2020 +0930

    [RS6000] Built-in __PCREL__ define
    
    Useful in assembly to know details of power10 function calls.
    
            PR target/97166
            * config/rs6000/rs6000-c.c (rs6000_target_modify_macros):
            Conditionally define __PCREL__.
    
    (cherry picked from commit 677b9150f54a0483d3de1182ac40717b7c4431a5)

diff --git a/gcc/config/rs6000/rs6000-c.c b/gcc/config/rs6000/rs6000-c.c
index fcf36fc622e..7e211fdbf31 100644
--- a/gcc/config/rs6000/rs6000-c.c
+++ b/gcc/config/rs6000/rs6000-c.c
@@ -597,6 +597,9 @@ rs6000_target_modify_macros (bool define_p, HOST_WIDE_INT flags,
   /* Tell the user if we support the MMA instructions.  */
   if ((flags & OPTION_MASK_MMA) != 0)
     rs6000_define_or_undefine_macro (define_p, "__MMA__");
+  /* Whether pc-relative code is being generated.  */
+  if ((flags & OPTION_MASK_PCREL) != 0)
+    rs6000_define_or_undefine_macro (define_p, "__PCREL__");
 }
 
 void

